import 'evaluatebean.dart';

typedef OnInitCompleted = void Function();
typedef OnInitFailed = void Function(int code, String message);

class SVUIInitListener {
  OnInitCompleted onCompleted;
  OnInitFailed onFailed;

  SVUIInitListener({this.onCompleted, this.onFailed});
}

typedef OnOralEvaluateResult = void Function(EvaluateResultBean result);
typedef OnOralEvaluateFailed = void Function(int code, String message);

class OralEvluateListener {
  OnOralEvaluateResult onOralEvaluateResult;
  OnOralEvaluateFailed onOralEvaluateFailed;

  OralEvluateListener({this.onOralEvaluateResult, this.onOralEvaluateFailed});
}

typedef OnQAResult = void Function(String result,String action,String recordPath);
typedef OnQAFailed = void Function(int code, String message);

class QAListener {
  OnQAResult onQAResult;
  OnQAFailed onQAFailed;

  QAListener({this.onQAResult, this.onQAFailed});
}

typedef OnStopSuccess = void Function();
typedef OnStopFailed = void Function(int code, String message);

class SVUIStopListener {
  OnStopSuccess onStopSuccess;
  OnStopFailed onStopFailed;

  SVUIStopListener({this.onStopSuccess, this.onStopFailed});
}
