import 'package:flutter/services.dart';

import 'config.dart';

class SvuiUtil {
  static void clearAudioRecord() async {
    try {
      //result.success(any)
      bool result = await Configure.channel.invokeMethod('clearAudioRecord');
    } on PlatformException catch (e) {
      // result.error("failed", "failed unknow", "i don't know")
      print(e);
    } on MissingPluginException catch (e) {
      //result.notImplemented()
      print(e);
    }
  }

  static Future<int> getAudioRecordSize() async {
    try {
      //result.success(any)
      int result = await Configure.channel.invokeMethod('getAudioRecordSize');
      return result;
    } on PlatformException catch (e) {
      // result.error("failed", "failed unknow", "i don't know")
      print(e);
      return 0;
    } on MissingPluginException catch (e) {
      //result.notImplemented()
      print(e);
      return 0;
    }
  }
}
