class ErrorCode {
  //other error
  static const PERMISSION_DENIED = 300;
  static const RECORD_PATH_EMPTY = 301;
  static const CAPTURE_FAILED = 302;
  static const NULL_POINTER = 303;
  static const NOT_IMPLEMENTED = 304;
  static const PLAY_FAILED_UNKNOW=305;

  //SVUI SDK error
  static const int ERROR_LOCALREC_CANCELED = 0;
  static const int ERROR_LOCALREC_AUDIO_FRAMES_DROPPED = 1;
  static const int ERROR_LOCALREC_NO_RESULT = 2;
  static const int ERROR_LOCALREC_CANT_START = 3;
  static const int ERROR_LOCALREC_CONTEXT_DEF_ERROR = 4;
  static const int ERROR_LOCALREC_WORDSLOT_DEF_ERROR = 5;
  static const int ERROR_LOCALREC_FILE_ERROR = 6;
  static const int ERROR_LOCALREC_MISSING_WORDLIST = 7;
  static const int ERROR_LOCALREC_NOT_INITIALIZED = 8;
  static const int ERROR_LOCALREC_LOAD_GRAMMAR_ERROR = 9;
  static const int ERROR_LOCALREC_CREATE_WORDCLASS = 10;
  static const int ERROR_LOCALREC_ADD_WORD_ERROR = 11;
  static const int ERROR_LOCALREC_REMOVE_WORD_ERROR = 12;
  static const int ERROR_LOCALREC_ATTACH_WORD_CLASS_ERROR = 13;
  static const int ERROR_LOCALREC_CLEAR_GRAMMAR_ERROR = 14;
  static const int ERROR_LOCALREC_CONTEXT_COMPILATION_ERROR = 15;
  static const int ERROR_LOCALREC_FILE_SAVE_ERROR = 16;
  static const int ERROR_LOCALREC_FILE_LOAD_ERROR = 17;
  static const int ERROR_LOCALREC_PARAMS_IS_EMPTY = 18;
  static const int ERROR_LOCALREC_CONFIG_VERSION = 19;
  static const int ERROR_LOCALREC_TTS_EMPTY = 50;
  static const int ERROR_INIT_WAKEUP = 100;
  static const int ERROR_INIT_OFFLINEREC = 101;
  static const int ERROR_LOCALREC_MISSING_CONTEXT_FILE = 102;
  static const int ERROR_OK = 0;
  static const int ERROR_CONFIG_FILE = 10001;
  static const int ERROR_CONFIG_FORMAT = 10002;
  static const int ERROR_CONFIG_INCOMPATIBLE = 10003;
  static const int ERROR_SCENE_CONFIG = 10004;
  static const int ERROR_INVALID_SCENEID = 10005;
  static const int ERROR_SCENE_STATUS = 10006;
  static const int ERROR_INIT_VAD = 10007;
  static const int ERROR_INVALID_ENGINETYPE = 10008;
  static const int ERROR_INVALID_PARAMTYPE = 10009;
  static const int ERROR_UNSUPPORTED_SETTING = 10010;
  static const int ERROR_INVALID_PARAMID = 10011;
  static const int ERROR_PARAMS_AGENTID = 10100;
  static const int ERROR_PARAMS_AGENTTOKEN = 10101;
  static const int ERROR_PARAMS_KEY = 10102;
  static const int ERROR_PARAMS_DEVICEID = 10103;
  static const int ERROR_PARAMS_IS_EMPTY = 10104;
  static const int ERROR_PARAMS_ERROR = 1001;
  static const int ERROR_URL_ERROR = 1002;
  static const int ERROR_TOKEN_NULL = 1003;
  static const int ERROR_KEY_ERROR = 1004;
  static const int ERROR_PARSER_JSON_ERROR = 1005;
  static const int ERROR_NOT_INIT = 1006;
  static const int ERROR_INIT_DUPLICATE = 1007;
  static const int ERROR_AUDIO_WRITE_PARAMS_ERROR = 1008;
  static const int ERROR_AUDIO_STATUS_LAST_ERROR = 1009;
  static const int ERROR_AUDIO_STATUS_CANCEL_INIT = 1010;
  static const int ERROR_AUDIO_STATUS_OOM = 1011;
  static const int ERROR_NET_ERROR = 1012;
  static const int ERROR_MALLOC_ERROR = 1013;
  static const int ERROR_AI_SYSTEM_FAIL = 1014;
  static const int ERROR_AI_ACCOUNT_FROZEN = 1015;
  static const int ERROR_AI_HTTP2_NOT_SUPPORTED = 1016;
  static const int ERROR_AI_NGHTTP2_GOAWAY = 1017;
  static const int ERROR_CLOUD_TOKEN = -4;
  static const int ERROR_CLOUD_AGENTID = -3004;
  static const int ERROR_CLOUD_CONNECTION = 101;
}
