import 'package:svui_plugin/tts/ttslistener.dart';

abstract class IPlayer {
  void init();

  void playUrl(String url, {PlayListener listener});

  void playAssets(String path, {PlayListener listener});

  void playLocal(String path, {PlayListener listener});

  bool isPlaying();

  void stop();

  void release();
}
