typedef OnBegin = void Function();
typedef OnCompleted = void Function();
typedef OnCanceled = void Function();
typedef OnFailed = void Function(int code, String msg);
typedef OnProgress = void Function(Duration progress, Duration totalDuration);

class PlayListener {
  OnBegin onBegin;
  OnCompleted onCompleted;
  OnProgress onProgress;
  OnCanceled onCanceled;
  OnFailed onFailed;

  PlayListener(
      {this.onBegin,
      this.onCompleted,
      this.onProgress,
      this.onCanceled,
      this.onFailed});
}

typedef OnSpeechSynthesisSuccess = void Function(String url);
typedef OnSpeechSynthesisFailed = void Function(int code, String msg);

class SpeechSynthesisListener {
  OnSpeechSynthesisSuccess onSpeechSynthesisSuccess;
  OnSpeechSynthesisFailed onSpeechSynthesisFailed;

  SpeechSynthesisListener(
      {this.onSpeechSynthesisSuccess, this.onSpeechSynthesisFailed});
}
